%define libmajor 0
%define libname %mklibname syncml %libmajor
%define develname %mklibname syncml -d

Name:		libsyncml
Version:	0.4.6
Release:	%mkrel 6
Summary:	C library implementation of the SyncML protocol
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libsyncml.opensync.org/
Source:		http://libsyncml.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
Patch0:		libsyncml-0.4.6-gobject.patch
BuildRequires:	wbxml-devel
BuildRequires:	openobex-devel
# Specifically needs 2.2 not 2.4 - AdamW 2008/08
BuildRequires:	libsoup-2.2-devel
BuildRequires:	bluez-devel
BuildRequires:	cmake
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
C library implementation of the SyncML protocol

%package -n %{libname}
License:	LGPLv2+
Group:		System/Libraries
Summary:	C library implementation of the SyncML protocol

%description -n %{libname}
C library implementation of the SyncML protocol.

This package is required by applications using the Syncml library
implementation of SyncML.

%package -n %{develname}
License:	LGPLv2+
Group:		System/Libraries
Summary:	Development package for C library implementation of the SyncML protocol
Requires:	%libname = %version-%release
Obsoletes:	%{mklibname syncml 0}-devel
Provides:	%name-devel = %version-%release
Provides:	syncml-devel = %version-%release

%description -n %{develname}
C library implementation of the SyncML protocol

This package is required to compile applications that use the Syncml
library implementation of SyncML

%prep
%setup -q
%patch0 -p1 -b .gobject

%build
%cmake
%make

%install
rm -Rf %{buildroot}
cd build
%makeinstall_std
cd -

%clean
rm -Rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%{_bindir}/syncml-http-server
%{_bindir}/syncml-http-client
%{_bindir}/syncml-obex-client
#%{_mandir}/man1/syncml-http-server.1*
#%{_mandir}/man1/syncml-obex-client.1*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{libmajor}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}-1.0
%{_libdir}/*.so
#%{_libdir}/*.la
%{_libdir}/pkgconfig/libsyncml*.pc


%changelog
* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4.6-6mdv2010.0
+ Revision: 439462
- rebuild

* Tue Mar 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.6-5mdv2009.1
+ Revision: 360957
- revert to version 0.4.6, API changes in newer versions are not compatibles
  with latest stable opensync versions
- rebuild against latest libwbxml

* Sat Mar 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 354934
- new version
- fix format errors

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.6-4mdv2009.1
+ Revision: 347705
- rebuild for latest bluez libs

* Tue Aug 19 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.6-3mdv2009.0
+ Revision: 274013
- add gobject.patch: fixes underlinking (not linking against gobject)
- new license policy for subpackages
- use some { }s
- drop cflags.patch (wasn't applied anyway, not needed)
- fix libsoup buildrequire so http server gets built
- revert to 0.4.6 (0.4.7 is useless for our opensync plugin)

* Sat Aug 16 2008 Emmanuel Andry <eandry@mandriva.org> 0.4.7-1mdv2009.0
+ Revision: 272728
- New version
- change major
- update file list

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 28 2008 Funda Wang <fundawang@mandriva.org> 0.4.6-1mdv2008.1
+ Revision: 158982
- New version 0.4.6

* Tue Jan 22 2008 Funda Wang <fundawang@mandriva.org> 0.4.5-2mdv2008.1
+ Revision: 156300
- rebuild against latest gnutls

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 19 2007 Funda Wang <fundawang@mandriva.org> 0.4.5-1mdv2008.1
+ Revision: 100218
- disable cflag patch
- New version 0.4.5

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.4-3mdv2008.0
+ Revision: 80044
- make devel packae obsoletes old one

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.4-2mdv2008.0
+ Revision: 79851
- new devel policy
- rebuild with latest expat

* Fri Apr 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.4-1mdv2008.0
+ Revision: 18748
- new version


* Sun Nov 12 2006 Buchan Milne <bgmilne@mandriva.org> 0.4.2-1mdv2007.0
+ Revision: 83450
- new version 0.4.2
- Import libsyncml

* Sat Sep 30 2006 Buchan Milne <bgmilne@mandriva.org> 0.0.4.rev182-2mdv2007.0
- buildrequire bluez-devel (or we dont get bluetooth support)

* Sun Jul 30 2006 Buchan Milne <bgmilne@mandriva.org> 0.0.4.rev182-1mdv2007.0
- New release svn rev 182

* Tue Mar 28 2006 Buchan Milne <bgmilne@mandriva.org> 0.0.4.rev119-1mdk
- New release 0.0.4.rev119
- add syncml-obex-client - should allow syncml over obex (eg bluetooth)

* Mon Jan 30 2006 Buchan Milne <bgmilne@mandriva.org> 0.0.4.rev82-1mdk
- New release 0.0.4.rev82

* Mon Jan 30 2006 Buchan Milne <bgmilne@mandriva.org> 0.0.4.rev80-1mdk
- New release 0.0.4.rev80

* Mon Jan 30 2006 Buchan Milne <bgmilne@mandriva.org> 0.0.4.rev80-1mdk
- initial mandriva package

